tools

# Class: PlaDsmlExporter

Source Location: /lib/export.inc

### Class Overview

    PlaAbstractExporter
       |
       --PlaExporter
          |
          --PlaDsmlExporter

Export entries to DSML v.1

#### Author(s):

### Variables

- $counter
- $indent_step

### Methods

- PlaDsmlExporter
- export

### Inherited Variables

#### Class: PlaExporter

PlaExporter::$br
PlaExporter::$exporter

### Inherited Methods

#### Class: PlaExporter

PlaExporter::PlaExporter()
  Constructor
PlaExporter::export()
  Abstract method use to export data.
PlaExporter::is_safe_ascii()
  Helper method to check if the attribute value should be base 64 encoded.
PlaExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaExporter::pla_num_entries()
  Return the number of entries
PlaExporter::setOutputFormat()
  Set the carriage return /linefeed for the export

#### Class: PlaAbstractExporter

PlaAbstractExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaAbstractExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaAbstractExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaAbstractExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaAbstractExporter::pla_num_entries()
  Return the number of entries

### Class Details

[line 478]
Export entries to DSML v.1

#### Tags:

extends: | PlaExporter

[ Top ]

### Class Variables

#### $counter = 0

[line 482]

Type: | mixed

[ Top ]

#### $indent_step = 2

[line 481]

Type: | mixed

[ Top ]

### Class Methods

### constructor PlaDsmlExporter [line 488]

`PlaDsmlExporter PlaDsmlExporter( PlaAbstractExporter $exporter)`

Create a PlaDsmlExporter object

#### Parameters:

PlaAbstractExporter | $exporter | the decoree exporter

[ Top ]

### method export [line 495]

`void export( )`

Export the entries to DSML
Overrides PlaExporter::export() (Abstract method use to export data.)
[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:57 +0200 by phpDocumentor 1.4.1